<?php
class ConvertedFloatsToDecimals extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'alter_field' => array(
				'ev_checkout_order_items' => array(
					'unit_cost' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
				),
				'ev_checkout_orders' => array(
					'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
				),
			),
			'create_field' => array(
				'ev_checkout_orders' => array(
					'online_eligible' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'is_virtual'),
					'delivery_method_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'online_eligible'),
					'collection_location_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'delivery_method_id'),
				),
			),
		),
		'down' => array(
			'alter_field' => array(
				'ev_checkout_order_items' => array(
					'unit_cost' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'subtotal' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'vat' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'total' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
				),
				'ev_checkout_orders' => array(
					'subtotal' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'vat' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'total' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
				),
			),
			'drop_field' => array(
				'ev_checkout_orders' => array('online_eligible', 'delivery_method_id', 'collection_location_id',),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
