<?php
class RemovedAdjustStockColumnFromOrderStatuses extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'drop_field' => array(
				'ev_checkout_order_statuses' => array('adjust_stock',),
			),
		),
		'down' => array(
			'create_field' => array(
				'ev_checkout_order_statuses' => array(
					'adjust_stock' => array('type' => 'integer', 'null' => false, 'default' => '0', 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {

		$OrderStatus = ClassRegistry::init('EvCheckout.OrderStatus');

		$data = array(
			array(
				'id' => 1,
				'name' => 'In Basket',
				'system_name' => 'Created'
			),
			array(
				'id' => 2,
				'name' => 'Payment Pending',
				'system_name' => 'Pending'
			),
			array(
				'id' => 3,
				'name' => 'Completed',
				'system_name' => 'Completed'
			),
			array(
				'id' => 4,
				'name' => 'Cancelled',
				'system_name' => 'Cancelled'
			),
			array(
				'id' => 5,
				'name' => 'Dispatched',
				'system_name' => 'Dispatched'
			),
			array(
				'id' => 6,
				'name' => 'Refunded',
				'system_name' => 'Refunded'
			)
		);

		
		$OrderStatus->saveMany($data);

		return true;
	}
}
